Subject: [hybi] 7to8 Content-encoding

From: "[email-masked]" <[email-masked]>
Date: Mon, 17 Jan 2011 11:33:41 -0500

Might it make sense to treat 7to8 bit encoding as proposed for masking as
something existing below the framing entirely and use an appropriate
signaling method.

Note I'm not proposing making it optional, just making the seperation of the
masking from the inner framing clear, using langauge to the effect of:

A conforming WebSocket-0x client MUST specify Content-Encoding: */7to8bit in
the Upgrade request to a WebSocket server, and MUST upon connection send all
messages in 7to8 encoding.  A WebSocket-0x server MAY specify
Content-Encoding in the response following the Upgrade request and MAY use
an encoding when sending messages to a client.

A conforming WebSocket-0x server MUST terminate the connection if bytes not
compliant with the 7to8bit encoding are received.

--
Timothy Meade
real time web developer